### Signal

# Atspi Accessible::region-changed

#### Declaration

    void
    region_changed (
      AtspiAccessible* self,
      gint arg1,
      gint arg2,
      gpointer user_data
    )

#### Description [src]

The signal “region-changed” is emitted by a screen reader to indicate that it is now reading or tracking a new object, or, a new piece of text within an object. This allows a magnifier to gain the information needed to highlight the object that the screen reader is reading.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`arg1`

  Type: `gint`

  An integer specifying the current offset of the text being read, if the object is textual.

`arg2`

  Type: `gint`

  An integer specifying the ending offset of the text being read, if the object is textual.